Subject: Re: bug#25230: Patch to ispell.el to simplify use of [:alpha:] for CASECHARS in built-in dictionaries

From: Reuben Thomas <[email-masked]>
Date: Tue, 20 Dec 2016 18:42:05 +0000

On 20 December 2016 at 15:37, Eli Zaretskii <[email-masked]> wrote:

> > From: Reuben Thomas <[email-masked]>
> > Date: Mon, 19 Dec 2016 21:17:17 +0000
> > Cc: [email-masked]
> >
> >     You are assuming that [[:alpha:]] and [A-Za-z] are identical.
> >
> > ​No, because my patch does not change the current behaviour of the code.
> The assumption that [:alpha:] is OK to use here instead of A-Za-z is
> already in the code.​
>
> Can you point out where in the code you see that assumption?
>

The current code in about line 1300 (ispell-set-spellchecker-params)
unconditionally overrides all the built-in dictionaries' values for
casechars and not-casechars with [:alpha:] in the loop that starts

(dolist (adict ispell-dictionary-alist) …)

At this point, ispell-dictionary-alist already contains
ispell-dictionary-base-alist (see a few lines above). Therefore, the
original values in the intializer are never used. (Hence my original patch.)

​​
> > ​From the conversation on other bugs, I think that the correct thing to
> do here is to remove the first part of my patch (so that the hardwired
> dictionaries keep their individual casechars and not-casechars settings),
> and keep the second part of the patch (so that
> ispell-set-spellchecker-params does not change them all to [:alpha:].
> >
> > Does that sound plausible?
>
> I think so, but we should make sure the hard-wired values work with
> Aspell, before we make that change.  If they don't, we should provide
> something that works for Aspell.
>

​I thought the hard-wired values were only for ispell dictionaries (for
aspell, the dictionaries are searched for on the computer)…

-- 
http://rrt.sc3d.org